package com.xinyilu.system.service.parentStudentInfo.impl;

import com.xinyilu.common.utils.DateUtils;
import com.xinyilu.system.domain.parentStudentInfo.ParentStudentInfo;
import com.xinyilu.system.mapper.parentStudentInfo.ParentStudentInfoMapper;
import com.xinyilu.system.service.parentStudentInfo.IParentStudentInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 家长学生关联关系Service业务层处理
 *
 * @author jihan
 * @date 2022-08-01
 */
@Service
public class ParentStudentInfoServiceImpl implements IParentStudentInfoService {
    @Resource
    private ParentStudentInfoMapper parentStudentInfoMapper;

    /**
     * 查询家长学生关联关系
     *
     * @param id 家长学生关联关系主键
     * @return 家长学生关联关系
     */
    @Override
    public ParentStudentInfo selectParentStudentInfoById(Long id) {
        return parentStudentInfoMapper.selectParentStudentInfoById(id);
    }

    /**
     * 查询家长学生关联关系列表
     *
     * @param parentStudentInfo 家长学生关联关系
     * @return 家长学生关联关系
     */
    @Override
    public List<ParentStudentInfo> selectParentStudentInfoList(ParentStudentInfo parentStudentInfo) {
        return parentStudentInfoMapper.selectParentStudentInfoList(parentStudentInfo);
    }

    /**
     * 新增家长学生关联关系
     *
     * @param parentStudentInfo 家长学生关联关系
     * @return 结果
     */
    @Override
    public int insertParentStudentInfo(ParentStudentInfo parentStudentInfo) {
        parentStudentInfo.setCreateTime(DateUtils.getNowDate());
        return parentStudentInfoMapper.insertParentStudentInfo(parentStudentInfo);
    }

    /**
     * 修改家长学生关联关系
     *
     * @param parentStudentInfo 家长学生关联关系
     * @return 结果
     */
    @Override
    public int updateParentStudentInfo(ParentStudentInfo parentStudentInfo) {
        parentStudentInfo.setUpdateTime(DateUtils.getNowDate());
        return parentStudentInfoMapper.updateParentStudentInfo(parentStudentInfo);
    }

    /**
     * 批量删除家长学生关联关系
     *
     * @param ids 需要删除的家长学生关联关系主键
     * @return 结果
     */
    @Override
    public int deleteParentStudentInfoByIds(Long[] ids) {
        return parentStudentInfoMapper.deleteParentStudentInfoByIds(ids);
    }

    /**
     * 删除家长学生关联关系信息
     *
     * @param id 家长学生关联关系主键
     * @return 结果
     */
    @Override
    public int deleteParentStudentInfoById(Long id) {
        return parentStudentInfoMapper.deleteParentStudentInfoById(id);
    }
}
